<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::integration::test::ServerDisconnectIntegrationTest Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1integration.html">integration</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1integration_1_1test.html">test</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_server_disconnect_integration_test.html">ServerDisconnectIntegrationTest</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_server_disconnect_integration_test-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::integration::test::ServerDisconnectIntegrationTest Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for alexaClientSDK::integration::test::ServerDisconnectIntegrationTest:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1integration_1_1test_1_1_server_disconnect_integration_test__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1integration_1_1test_1_1_server_disconnect_integration_test_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1integration_1_1test_1_1_server_disconnect_integration_test_inherit__map" id="alexa_client_s_d_k_1_1integration_1_1test_1_1_server_disconnect_integration_test_inherit__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for alexaClientSDK::integration::test::ServerDisconnectIntegrationTest:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1integration_1_1test_1_1_server_disconnect_integration_test__coll__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1integration_1_1test_1_1_server_disconnect_integration_test_coll__map" alt="Collaboration graph"/></div>
<map name="alexa_client_s_d_k_1_1integration_1_1test_1_1_server_disconnect_integration_test_coll__map" id="alexa_client_s_d_k_1_1integration_1_1test_1_1_server_disconnect_integration_test_coll__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ac33486b6b7fe5db534b35b205ac744d7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_server_disconnect_integration_test.html#ac33486b6b7fe5db534b35b205ac744d7">SetUp</a> () override</td></tr>
<tr class="separator:ac33486b6b7fe5db534b35b205ac744d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8e711460671235fbe1b25648943371f5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_server_disconnect_integration_test.html#a8e711460671235fbe1b25648943371f5">TearDown</a> () override</td></tr>
<tr class="separator:a8e711460671235fbe1b25648943371f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:ae88067725b910919c4979484fa7aea64"><td class="memItemLeft" align="right" valign="top">std::unique_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_auth_delegate_test_context.html">AuthDelegateTestContext</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_server_disconnect_integration_test.html#ae88067725b910919c4979484fa7aea64">m_authDelegateTestContext</a></td></tr>
<tr class="memdesc:ae88067725b910919c4979484fa7aea64"><td class="mdescLeft">&#160;</td><td class="mdescRight">Context for running AuthDelegate based tests.  <a href="#ae88067725b910919c4979484fa7aea64">More...</a><br /></td></tr>
<tr class="separator:ae88067725b910919c4979484fa7aea64"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf0602a8e6cdee283e99ee84c1a3e66b"><td class="memItemLeft" align="right" valign="top">std::unique_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_a_v_s_communication.html">AVSCommunication</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_server_disconnect_integration_test.html#aaf0602a8e6cdee283e99ee84c1a3e66b">m_firstAvsCommunication</a></td></tr>
<tr class="memdesc:aaf0602a8e6cdee283e99ee84c1a3e66b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Object for the 1st connection to AVS.  <a href="#aaf0602a8e6cdee283e99ee84c1a3e66b">More...</a><br /></td></tr>
<tr class="separator:aaf0602a8e6cdee283e99ee84c1a3e66b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a020054fd52af3914f5df115fda02bcef"><td class="memItemLeft" align="right" valign="top">std::unique_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_a_v_s_communication.html">AVSCommunication</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_server_disconnect_integration_test.html#a020054fd52af3914f5df115fda02bcef">m_secondAvsCommunication</a></td></tr>
<tr class="memdesc:a020054fd52af3914f5df115fda02bcef"><td class="mdescLeft">&#160;</td><td class="mdescRight">Object for the 2nd connection to AVS.  <a href="#a020054fd52af3914f5df115fda02bcef">More...</a><br /></td></tr>
<tr class="separator:a020054fd52af3914f5df115fda02bcef"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">Class to implement the integration test of Server Side Disconnect between two connections with same configuration. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="ac33486b6b7fe5db534b35b205ac744d7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac33486b6b7fe5db534b35b205ac744d7">&#9670;&nbsp;</a></span>SetUp()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::integration::test::ServerDisconnectIntegrationTest::SetUp </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a8e711460671235fbe1b25648943371f5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8e711460671235fbe1b25648943371f5">&#9670;&nbsp;</a></span>TearDown()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::integration::test::ServerDisconnectIntegrationTest::TearDown </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="ae88067725b910919c4979484fa7aea64"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae88067725b910919c4979484fa7aea64">&#9670;&nbsp;</a></span>m_authDelegateTestContext</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::unique_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_auth_delegate_test_context.html">AuthDelegateTestContext</a>&gt; alexaClientSDK::integration::test::ServerDisconnectIntegrationTest::m_authDelegateTestContext</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Context for running AuthDelegate based tests. </p>

</div>
</div>
<a id="aaf0602a8e6cdee283e99ee84c1a3e66b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaf0602a8e6cdee283e99ee84c1a3e66b">&#9670;&nbsp;</a></span>m_firstAvsCommunication</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::unique_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_a_v_s_communication.html">AVSCommunication</a>&gt; alexaClientSDK::integration::test::ServerDisconnectIntegrationTest::m_firstAvsCommunication</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Object for the 1st connection to AVS. </p>

</div>
</div>
<a id="a020054fd52af3914f5df115fda02bcef"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a020054fd52af3914f5df115fda02bcef">&#9670;&nbsp;</a></span>m_secondAvsCommunication</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::unique_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_a_v_s_communication.html">AVSCommunication</a>&gt; alexaClientSDK::integration::test::ServerDisconnectIntegrationTest::m_secondAvsCommunication</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Object for the 2nd connection to AVS. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/workplace/avs-device-sdk/Integration/test/<a class="el" href="_server_disconnect_integration_test_8cpp.html">ServerDisconnectIntegrationTest.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
